Monkey Studio IDE The way IDEs should be

pasnox's blog

pasnox's picture

Site maintenance, drupal cms update, irc support fixed & MkS development

Hey i spent some time on updating the website, especially to update the cms and fixed the "IRC Support" page that was not let you connect anymore to freenode using mibbit.
I replace the client by the freenode one so you should now be able to connect to IRC without problems !
Apart that, hollidays are now finished for me, it's time to be back to the MkS development and make it better fot the upcomming 1.8.4.0.

As always, happy coding with Mks ;)

pasnox's picture

Release 1.8.4.0b1

MkS Team is proud to annouce the aviability of a new stable MkS version : 1.8.4.0b1.
It's only marked beta because it does not contains all functionalities we want to add to the final 1.8.4.0 version.
The last release was containing some bugs that we did not discovered at time because of the need to release quickly a Qt 4.5.x compatible version of MkS.
This release bring new functionalities and fix many bugs and is a beta of the upcoming 1.8.4.0.
The complete code has been back ported to be compilable from Qt 4.4.x and up.
The windows installer and mac os x universal bundle now come

pasnox's picture

MkS officially introduced in Debian Sid

Yeah !

Monkey Studio IDE has been officially added in the Debian Sid repository, that mean that you no longer need extra repository to install it !
Just open your package manager and install monkeystudio package.
You can get more informations about the introduction and packages here.
This open the door to the next (x)ubuntu version (Karmic) introduction as well :).

pasnox's picture

IRC Support interrupted

It's sad, Freenode ( our IRC channel provider ) does no longer accept Mibbit webchat to connect their server.
A direct result of that is that the actual IRC Support tab does no longer let you connect to our irc channel.
In the mainwhile you can connect using their own webchat locate at this address : http://webchat.freenode.net
Use your mks site login and connect to the 'monkeystudio' channel.

I will update the IRC Support tab shortly.

pasnox's picture

Linux Packages for (x)ubuntu Hardy/Intrepid/Jaunty/Karmic - Fedora 9/10 aviability

Hey,

I would like to inform you about the aviability of Linux (x)ubuntu / Fedora packages. This is necessary packages if you are running last version of your favorites OS provideing Qt 4.5.0 (at least).
You can found more infos on the LinuxPackages wiki page.
If a package for your distribution is not available, just ask us ;)

pasnox's picture

Release of MkS 1.8.3.3

Hey,

I'm happy to inform you of the MkS 1.8.3.3's availability. It's mainly a bug fix release for Qt 4.5 as some of you have noticed, due to important default options changes in Qt 4.5 compare to the 4.4, MkS was no longer usable when built with it.
The release also contains some next version tools: qCtagsSense framework, new Class Browser plugin and some fixes not connected with Qt 4.5.
Linux packages will comes shortly, be patient and Happy Coding !

PS: It's not necessary to update your MkS version if you are not using Qt 4.5.

pasnox's picture

Package for (x)ubuntu Jaunty available

The new MkS version that was scheduled is taking time to polishing, for this reason it's a little delayed.
A new package is available for (x)ubuntu Jaunty, you can find it on the wiki LinuxPackages page.
It's to be noted that all fix regarding MkS and Qt 4.5.x are not available in this package, it's just the same intrepid package rebuilt for jaunty, so some glitches can appear.
I will update the page as soon as new packages will be updated, stay tuned by regulary check this page.

Happy coding ;)

pasnox's picture

MkS & Qt 4.5.x on recents Linux distributions

Hi,

Some of you may already see the problem but for the others here is the current problem :
Due to important changes in the Qt 4.5.x library & QScintilla, MkS will most likely not works well ( ui bugs and unusable embed Designer ).
We already fixed all all major problem in the svn v2/branches/dev.
I have some small bugs to fixe and we will release a new version approximatively the next week.
The actual debian package ( and probably all others ) are no longer compatible.
You have 2 way of getting that fixed :

  • 1/ Get the svn copy from path : v2/branches/dev, patch the config.pri fi
Syndicate content